# Generated from algorithm_selector-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name algorithm_selector

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Takes a desired action and data set, returns best algorithm
License: MIT
URL: https://github.com/jnvbui/algorithm_selector
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Calculates algorithms and data structures for sorting and searching. Selects
best one to use for particular data set.
Currently supports: Bubble Sort, Insertion Sort, Selection Sort, Merge Sort,
Quick Sort, Heap Sort, Stack, Queue, Linked List, Binary Search Tree.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.yardoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/algorithm_selector.gemspec
%doc %{gem_instdir}/doc

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.5-1
- Initial package
